###############################################################################
#
# Bash remediation role for profile standard
# Profile Title:  Standard System Security Profile for Ubuntu 16
# Profile Description:
# This profile contains rules to ensure standard security baseline
# of an Ubuntu 16 system. Regardless of your system's workload
# all of these checks should pass.
#
# Benchmark ID:  UBUNTU-XENIAL
# Benchmark Version:  0.1.39
#
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.2.16 using:
# 	$ oscap xccdf generate fix --profile standard --template urn:xccdf:fix:script:sh sds.xml 
#
# This script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this remediation role:
# $ sudo ./remediation-role.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 36) for 'package_nis_removed'
###############################################################################
(>&2 echo "Remediating rule 1/36: 'package_nis_removed'")
# CAUTION: This remediation script will remove nis
#	   from the system, and may remove any packages
#	   that depend on nis. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge nis
# END fix for 'package_nis_removed'

###############################################################################
# BEGIN fix (2 / 36) for 'package_telnetd_removed'
###############################################################################
(>&2 echo "Remediating rule 2/36: 'package_telnetd_removed'")
# CAUTION: This remediation script will remove telnetd
#	   from the system, and may remove any packages
#	   that depend on telnetd. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge telnetd
# END fix for 'package_telnetd_removed'

###############################################################################
# BEGIN fix (3 / 36) for 'package_ntpdate_removed'
###############################################################################
(>&2 echo "Remediating rule 3/36: 'package_ntpdate_removed'")
# CAUTION: This remediation script will remove ntpdate
#	   from the system, and may remove any packages
#	   that depend on ntpdate. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge ntpdate
# END fix for 'package_ntpdate_removed'

###############################################################################
# BEGIN fix (4 / 36) for 'package_telnetd-ssl_removed'
###############################################################################
(>&2 echo "Remediating rule 4/36: 'package_telnetd-ssl_removed'")
# CAUTION: This remediation script will remove telnetd-ssl
#	   from the system, and may remove any packages
#	   that depend on telnetd-ssl. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge telnetd-ssl
# END fix for 'package_telnetd-ssl_removed'

###############################################################################
# BEGIN fix (5 / 36) for 'package_inetutils-telnetd_removed'
###############################################################################
(>&2 echo "Remediating rule 5/36: 'package_inetutils-telnetd_removed'")
# CAUTION: This remediation script will remove inetutils-telnetd
#	   from the system, and may remove any packages
#	   that depend on inetutils-telnetd. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge inetutils-telnetd
# END fix for 'package_inetutils-telnetd_removed'

###############################################################################
# BEGIN fix (6 / 36) for 'package_cron_installed'
###############################################################################
(>&2 echo "Remediating rule 6/36: 'package_cron_installed'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'package_cron_installed'

###############################################################################
# BEGIN fix (7 / 36) for 'package_ntp_installed'
###############################################################################
(>&2 echo "Remediating rule 7/36: 'package_ntp_installed'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'package_ntp_installed'

###############################################################################
# BEGIN fix (8 / 36) for 'service_cron_enabled'
###############################################################################
(>&2 echo "Remediating rule 8/36: 'service_cron_enabled'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'service_cron_enabled'

###############################################################################
# BEGIN fix (9 / 36) for 'package_auditd_installed'
###############################################################################
(>&2 echo "Remediating rule 9/36: 'package_auditd_installed'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'package_auditd_installed'

###############################################################################
# BEGIN fix (10 / 36) for 'service_ntpd_enabled'
###############################################################################
(>&2 echo "Remediating rule 10/36: 'service_ntpd_enabled'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'service_ntpd_enabled'

###############################################################################
# BEGIN fix (11 / 36) for 'service_auditd_enabled'
###############################################################################
(>&2 echo "Remediating rule 11/36: 'service_auditd_enabled'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'service_auditd_enabled'

###############################################################################
# BEGIN fix (12 / 36) for 'sshd_disable_root_login'
###############################################################################
(>&2 echo "Remediating rule 12/36: 'sshd_disable_root_login'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sshd_disable_root_login'

###############################################################################
# BEGIN fix (13 / 36) for 'sshd_set_keepalive'
###############################################################################
(>&2 echo "Remediating rule 13/36: 'sshd_set_keepalive'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sshd_set_keepalive'

###############################################################################
# BEGIN fix (14 / 36) for 'sshd_set_idle_timeout'
###############################################################################
(>&2 echo "Remediating rule 14/36: 'sshd_set_idle_timeout'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sshd_set_idle_timeout'

###############################################################################
# BEGIN fix (15 / 36) for 'sshd_disable_empty_passwords'
###############################################################################
(>&2 echo "Remediating rule 15/36: 'sshd_disable_empty_passwords'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sshd_disable_empty_passwords'

###############################################################################
# BEGIN fix (16 / 36) for 'sshd_allow_only_protocol2'
###############################################################################
(>&2 echo "Remediating rule 16/36: 'sshd_allow_only_protocol2'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sshd_allow_only_protocol2'

###############################################################################
# BEGIN fix (17 / 36) for 'rsyslog_files_ownership'
###############################################################################
(>&2 echo "Remediating rule 17/36: 'rsyslog_files_ownership'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'rsyslog_files_ownership'

###############################################################################
# BEGIN fix (18 / 36) for 'rsyslog_files_groupownership'
###############################################################################
(>&2 echo "Remediating rule 18/36: 'rsyslog_files_groupownership'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'rsyslog_files_groupownership'

###############################################################################
# BEGIN fix (19 / 36) for 'rsyslog_files_permissions'
###############################################################################
(>&2 echo "Remediating rule 19/36: 'rsyslog_files_permissions'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'rsyslog_files_permissions'

###############################################################################
# BEGIN fix (20 / 36) for 'ensure_logrotate_activated'
###############################################################################
(>&2 echo "Remediating rule 20/36: 'ensure_logrotate_activated'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'ensure_logrotate_activated'

###############################################################################
# BEGIN fix (21 / 36) for 'service_rsyslog_enabled'
###############################################################################
(>&2 echo "Remediating rule 21/36: 'service_rsyslog_enabled'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'service_rsyslog_enabled'

###############################################################################
# BEGIN fix (22 / 36) for 'package_rsyslog_installed'
###############################################################################
(>&2 echo "Remediating rule 22/36: 'package_rsyslog_installed'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'package_rsyslog_installed'

###############################################################################
# BEGIN fix (23 / 36) for 'partition_for_home'
###############################################################################
(>&2 echo "Remediating rule 23/36: 'partition_for_home'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'partition_for_home'

###############################################################################
# BEGIN fix (24 / 36) for 'partition_for_tmp'
###############################################################################
(>&2 echo "Remediating rule 24/36: 'partition_for_tmp'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'partition_for_tmp'

###############################################################################
# BEGIN fix (25 / 36) for 'partition_for_var'
###############################################################################
(>&2 echo "Remediating rule 25/36: 'partition_for_var'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'partition_for_var'

###############################################################################
# BEGIN fix (26 / 36) for 'partition_for_var_log_audit'
###############################################################################
(>&2 echo "Remediating rule 26/36: 'partition_for_var_log_audit'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'partition_for_var_log_audit'

###############################################################################
# BEGIN fix (27 / 36) for 'partition_for_var_log'
###############################################################################
(>&2 echo "Remediating rule 27/36: 'partition_for_var_log'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'partition_for_var_log'

###############################################################################
# BEGIN fix (28 / 36) for 'sysctl_fs_protected_hardlinks'
###############################################################################
(>&2 echo "Remediating rule 28/36: 'sysctl_fs_protected_hardlinks'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sysctl_fs_protected_hardlinks'

###############################################################################
# BEGIN fix (29 / 36) for 'sysctl_fs_protected_symlinks'
###############################################################################
(>&2 echo "Remediating rule 29/36: 'sysctl_fs_protected_symlinks'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sysctl_fs_protected_symlinks'

###############################################################################
# BEGIN fix (30 / 36) for 'file_permissions_etc_group'
###############################################################################
(>&2 echo "Remediating rule 30/36: 'file_permissions_etc_group'")
chmod 0644 /etc/group
# END fix for 'file_permissions_etc_group'

###############################################################################
# BEGIN fix (31 / 36) for 'file_permissions_etc_shadow'
###############################################################################
(>&2 echo "Remediating rule 31/36: 'file_permissions_etc_shadow'")
chmod 0640 /etc/shadow
# END fix for 'file_permissions_etc_shadow'

###############################################################################
# BEGIN fix (32 / 36) for 'file_permissions_etc_gshadow'
###############################################################################
(>&2 echo "Remediating rule 32/36: 'file_permissions_etc_gshadow'")
chmod 0640 /etc/gshadow
# END fix for 'file_permissions_etc_gshadow'

###############################################################################
# BEGIN fix (33 / 36) for 'file_permissions_etc_passwd'
###############################################################################
(>&2 echo "Remediating rule 33/36: 'file_permissions_etc_passwd'")
chmod 0644 /etc/passwd
# END fix for 'file_permissions_etc_passwd'

###############################################################################
# BEGIN fix (34 / 36) for 'file_permissions_boot_system_map'
###############################################################################
(>&2 echo "Remediating rule 34/36: 'file_permissions_boot_system_map'")
find /boot -regex '^/boot/System\.map.*$' -exec chmod 0600 {} \;
# END fix for 'file_permissions_boot_system_map'

###############################################################################
# BEGIN fix (35 / 36) for 'sysctl_fs_suid_dumpable'
###############################################################################
(>&2 echo "Remediating rule 35/36: 'sysctl_fs_suid_dumpable'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sysctl_fs_suid_dumpable'

###############################################################################
# BEGIN fix (36 / 36) for 'sysctl_kernel_randomize_va_space'
###############################################################################
(>&2 echo "Remediating rule 36/36: 'sysctl_kernel_randomize_va_space'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'sysctl_kernel_randomize_va_space'

